Bug 141909 - rc.subr(8): [patch] add rc.conf.d support to /usr/local
Summary: rc.subr(8): [patch] add rc.conf.d support to /usr/local
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 7.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-23 01:10 UTC by Jason Helfman
Modified: 2019-04-02 08:22 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (377 bytes, patch)
2009-12-23 01:10 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2009-12-23 01:10:02 UTC
rc.conf.d is not supported under the /usr/local subsystem

Fix: Added patch.

Patch attached with submission follows:
How-To-Repeat: mkdir -p /usr/local/etc/rc.conf.d/
touch /usr/local/etc/rc.conf.d/sshd
echo enable_sshd=\"YES\" > /usr/local/etc/rc.conf.d/sshd
remove sshd service from /etc/rc.conf or /etc/rc.conf.d/

/etc/rc.d/sshd rcvar --> should show NO
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-12-23 01:23:35 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-rc

Over to maintainer(s).
Comment 2 Jason 2010-05-16 17:46:47 UTC
To clarify

After removing these variables from either /etc/rc.conf or =
/etc/rc.conf.d/$name, and having it under =
/usr/local/etc/rc.conf.d/$name... rcvar should show yes.=20

It wil show NO without the patch I had submitted.=
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:33 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 4 Andriy Voskoboinyk freebsd_committer 2019-04-02 08:22:15 UTC
Fixed in base r270698 / base r286163.